## dm-Repeat

A multitap delay effect written in Rust.

The effect can be compiled to a [MOD audio](https://mod.audio/), VST3 or CLAP plugin.

## Table of contents:

- [VST3 and CLAP installation](#VST3-and-CLAP-installation)
- [MOD installation](#MOD-installation)
- [VST2](#VST2)
- [Copyright notices](#Copyright-notices)

## VST3 and CLAP installation

You can download the VST3 and CLAP plugins for Linux, Windows and macOS from the [releases page](https://github.com/davemollen/dm-Repeat/releases).

On macOS you may need to [disable Gatekeeper](https://disable-gatekeeper.github.io/) as Apple has recently made it more difficult to run unsigned code on macOS.

If you want to build the plugin on your own machine check out the [nih-plug repository](https://github.com/robbert-vdh/nih-plug) for instructions.

## MOD installation

This plugin is not yet in the MOD Audio plugin store.
However, you can download the latest MOD Dwarf build from the [releases page](https://github.com/davemollen/dm-Repeat/releases).

If you want to build the plugin on your own machine check out the [mod-plugin-builder repository](https://github.com/moddevices/mod-plugin-builder) for instructions.

## VST2

Legacy code for a VST2 plugin is also in this repository. Since VST2 has been deprecated automated builds for VST2 have been excluded.

## Copyright notices

VST is a trademark of Steinberg Media Technologies GmbH, registered in Europe and other countries.

<img src="https://steinbergmedia.github.io/vst3_dev_portal/resources/licensing_6.png" width="60" height="auto" alt="VST trademark">
